For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Get Sync Schedule Options

GET
https://app.polytomic.com/api/syncs/schedules
GET
/api/syncs/schedules
$curl https://app.polytomic.com/api/syncs/schedules \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "schedule_options": [
4 {
5 "configuration": {},
6 "description": "Runs when manually triggered",
7 "frequency": "manual",
8 "label": "Manual"
9 }
10 ]
11 }
12}
Returns the schedule types available when creating or updating a model sync. Use the `type` identifiers returned by this endpoint in the `schedule` field when creating or updating a sync via [`POST /api/syncs`](../../../api-reference/model-sync/create) or [`PUT /api/syncs/{id}`](../../../api-reference/model-sync/update).
Was this page helpful?
Previous

Get Sync

Next

Returns the schedule types available when creating or updating a model sync.

Use the type identifiers returned by this endpoint in the schedule field when creating or updating a sync via POST /api/syncs or PUT /api/syncs/{id}.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
500
Internal Server Error